radius_get_tagged_attr_data
radius_get_vendor_attr
Radius Functions
PHP Manual

# radius_get_tagged_attr_tag

(PECL radius >= 1.3.0)

radius_get_tagged_attr_tag — Extracts the tag from a tagged attribute

### Description

integer radius_get_tagged_attr_tag ( string `$data` )

If a tagged attribute has been returned from radius_get_attr(), radius_get_tagged_attr_data() will return the tag from the attribute.

### Parameters

`data`

  The tagged attribute to be decoded.

### Return Values

Returns the tag from the tagged attribute or `FALSE` on failure.

### Examples

Example #1 radius_get_tagged_attr_tag() example

`<?php
while ($resa = radius_get_attr($res)) {
if (!is_array($resa)) {
printf ("Error getting attribute: %s\n", radius_strerror($res));
exit;
}
$attr = $resa['attr'];
$data = $resa['data'];
$tag = radius_get_tagged_attr_tag($data);
$value = radius_get_tagged_attr_data($data);
printf("Got tagged attribute with tag %d and value %s\n", $tag, $value);
}
?>`

### See Also

- radius_get_attr() - Extracts an attribute
- radius_get_tagged_attr_data() - Extracts the data from a tagged attribute

radius_get_tagged_attr_data
radius_get_vendor_attr
Radius Functions
PHP Manual